Version française
Home     About     Download     Resources     Contact us    
Browse thread
Bug in ocamlyacc
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Yaron Minsky <yminsky@c...>
Subject: Re: new+old Camlp4 (was Re: [Caml-list] Bug in ocamlyacc)
On 4/24/07, Martin Jambon <martin.jambon@ens-lyon.org> wrote:
>
>
> It could go like "the old camlp4 is deprecated, and support will be
> dropped completely [one year after the first stable-and-documented release
> of camlp4 3.10]"
>
> * It means two versions of camlp4 would be distributed and installed with
>   ocaml 3.10.
> * Command names for the new camlp4 would be distinct from the old camlp4.
> * Old programs would still compile and work without having to patch
>   makefiles.
> * Upgraded programs could add new features only to the 3.10 version, while
>   maintaining minimal support (bug fixes) for the 3.09 version, without
>   forcing the camlp4 programmer to use ocaml 3.09 for testing.
> * New programs could support only the new camlp4.


This seems like a great idea.

y




Martin
>
> --
> Martin Jambon
> http://martin.jambon.free.fr
>
> _______________________________________________
> Caml-list mailing list. Subscription management:
> http://yquem.inria.fr/cgi-bin/mailman/listinfo/caml-list
> Archives: http://caml.inria.fr
> Beginner's list: http://groups.yahoo.com/group/ocaml_beginners
> Bug reports: http://caml.inria.fr/bin/caml-bugs
>